disable_irq_nosync
Prev | Chapter 8. Public Functions Provided | Next

## Name

disable_irq_nosync — disable an irq without waiting

## Synopsis

`void disable_irq_nosync (` | unsigned int | irq`)`;

## Arguments

`irq`

  Interrupt to disable

## Description

Disable the selected interrupt line. Disables and Enables are nested. Unlike `disable_irq`, this function does not ensure existing instances of the IRQ handler have completed before returning.

This function may be called from IRQ context.

Prev | Up | Next
synchronize_irq | Home | disable_irq